Bug 1248992 - stop guest win8.1 when the guest “working on updates”, then migrate to dst host,dst guest do updateds and reboot repeatedly
stop guest win8.1 when the guest “working on updates”, then migrate to dst h...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
x86_64 Windows
medium Severity medium
: rc
: ---
Assigned To: Amnon Ilan
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 05:43 EDT by Yanan Fu
Modified: 2016-03-28 05:05 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-11 04:17:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanan Fu 2015-07-31 05:43:38 EDT
Description of problem:
stop guest when the guest in "working on updates" stage,then migrate to dst host,then the dst guest "working on updates" and boot repeatedly.


Version-Release number of selected component (if applicable):
qemu-kvm:2.3.0-13.el7.x86_64
kernel: 3.10.0-300.el7.x86_64
ipxe:20130517-7.gitc4bce43.el7
Seabios:seabios-1.7.5-10.el7

How reproducible:


Steps to Reproduce:
1.start VM in src host.	
2.start listening mode in dst host <command Line> -incoming tcp:0:5800

3.Guest in the status:"working on updates  30% finished", stop guest and then migrate to dst host:
(qemu)stop
(qemu)migrate -d tcp:$dst_host_ip:5888

4.after migration finished,
in src host:(qemu): info migrate----->Migration status: completed
in dst host:(qemu): info status---->VM status: running

but guest show step as following:
1. "working on updates 0~30% complete",
2. "restaring"
3. boot and we can see the seabios interface
4. ""please wait"-->"Geting windows ready"--->"working on updates 30~100% complete"
5. "restaring" 
6. "Geting windows ready"
7. then repeat the above steps: 1~6

Actual results:
repeat update and boot.

Expected results:
guest should boot successfully.

Additional info:
Comment 2 Amnon Ilan 2015-08-09 03:37:12 EDT
Please disable "reboot on fail" in Windows before you start the 
upgrade, and then reproduce it; when Windows fails after the 
migration please save the memory dump and attache it here.

Thanks,
Amnon
Comment 3 Yan Vugenfirer 2015-08-09 04:54:30 EDT
Please uncheck "Automatically restart" (see pages 31 and 32 http://www.slideshare.net/YanVugenfirer/windows-guestdebugging-kvmforum2012) option for blue screen. After a crash, enter safe mode and collect the crash dump file.

Thanks.
Comment 4 Yanan Fu 2015-08-11 01:55:39 EDT
I have retest this bug for several times, and i find the guest will reboot during install updates even without migration.
I think it should be normal phenomenon,as some updates need to reboot.
Comment 5 Yanan Fu 2015-08-11 02:04:11 EDT
additional information:
In the end, after all the updates finished, can enter the guest successfully,and the guest work normallly.
Comment 6 Yan Vugenfirer 2015-08-11 04:17:13 EDT
Closing according to comment #5.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.